Bug 1091343 - (CVE-2018-10537) VUL-1: CVE-2018-10537: wavpack: The W64 parser componentcontains a vulnerability that allows writing to memory becauseParseWave64HeaderConfig in wave64.c does not reject multiple format chunks.
(CVE-2018-10537)
VUL-1: CVE-2018-10537: wavpack: The W64 parser componentcontains a vulnerabil...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/205023/
CVSSv3.1:SUSE:CVE-2018-10537:7.8:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-30 08:48 UTC by Alexander Bergmann
Modified: 2021-01-26 09:18 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-04-30 08:48:32 UTC
CVE-2018-10537

An issue was discovered in WavPack 5.1.0 and earlier. The W64 parser component
contains a vulnerability that allows writing to memory because
ParseWave64HeaderConfig in wave64.c does not reject multiple format chunks.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-10537
Comment 1 Alexander Bergmann 2018-04-30 08:50:35 UTC
Relevant function was introduced in version 5.0.0. Therefore SLE and openSUSE are not affected. Closing.
Comment 2 Simon Logan 2021-01-15 18:21:21 UTC
Leap 15.2 has libwavpack1-5.1.0 which is a vulnerable version.

http://www.wavpack.com/changelog.txt says it is fixed in upstream version 5.2.0.

Upstream fix: https://github.com/dbry/WavPack/commit/26cb47f99d481ad9b93eeff80d26e6b63bbd7e15

wget https://download.opensuse.org/source/distribution/leap/15.2/repo/oss/src/wavpack-5.1.0-lp152.6.6.src.rpm
I don't see any patches for CVE-2018-10537, and the source doesn't have the fix.
Comment 3 Paul Fee 2021-01-18 09:06:56 UTC
https://software.opensuse.org/package/wavpack
https://build.opensuse.org/package/show/multimedia%3Alibs/wavpack

Currently the multimedia:libs project has wavpack 5.3.0 built for Leap 15.2.

In order to address CVE-2018-10537, either backport the fix to 5.1.0 via a new patch in the source RPM or promote the 5.3.0 from multimedia:libs into Leap 15.2.
Comment 6 Swamp Workflow Management 2021-01-21 17:16:06 UTC
SUSE-SU-2021:0186-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Manager Retail Branch Server 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Manager Proxy 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server for SAP 15 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wavpack-5.4.0-4.9.1
SUSE Enterprise Storage 6 (src):    wavpack-5.4.0-4.9.1
SUSE CaaS Platform 4.0 (src):    wavpack-5.4.0-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-01-24 23:18:54 UTC
openSUSE-SU-2021:0153-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    wavpack-5.4.0-lp152.7.3.1
Comment 8 Swamp Workflow Management 2021-01-24 23:20:16 UTC
openSUSE-SU-2021:0154-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    wavpack-5.4.0-lp151.5.6.1
Comment 9 Alexandros Toptsoglou 2021-01-26 09:18:41 UTC
Done